﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace PCG.Mercurial
{
    public class CloneCommand: HgCommandBase
    {
        private const String CommandText = "clone";
        private string _repoUrl = string.Empty;

        private CloneCommand(DirectoryInfo repoInfo, string repoUrl) : base(repoInfo) 
        {
            //HACKMP - Verbos output causes the process not to return when issuing the 'clone' command.
            VerboseOutput = false;
            RepoUrl = repoUrl;
        }

        public string RepoUrl
        {
            get
            {
                return _repoUrl;
            }
            set
            {
                _repoUrl = value;
            }
        }

        public static CloneCommand CreateCommand(DirectoryInfo repoInfo, string repoUrl)
        {
            return new CloneCommand(repoInfo, repoUrl);
        }

        public override IHgCommandResult GetCommandResult(System.Diagnostics.Process hgProcess)
        {
            return hgProcess.HasExited ? new CloneCommandResult(hgProcess) : null;
        }

        public override string ToString()
        {
            var commandArgs = new StringBuilder(CommandText);
            commandArgs.Append(" " + RepoUrl);
            commandArgs.Append(base.ToString());

            return commandArgs.ToString();
        }
    }
}
