﻿using System;
using System.Diagnostics;

namespace PCG.Mercurial
{
    public interface IHgCommandResult
    {
        /// <summary>
        /// Any bytes written to stdout during execution will be returned here.
        /// </summary>
        String ResultData { get; }

        /// <summary>
        /// Any bytes written to stderr during execution will be returned here.
        /// </summary>
        String ErrorData { get; }

        /// <summary>
        /// The return code provided by the Mercurial executable.
        /// </summary>
        HgResult ExitCode { get;}
    }
}