﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace PCG.Mercurial
{
    public class IncomingCommand : HgCommandBase
    {
        private const String CommandText = "incoming --cwd";
        private string _repoUrl = string.Empty;

        private IncomingCommand(DirectoryInfo repoInfo):base(repoInfo)
        {
            VerboseOutput = false;
        }

        public static IncomingCommand CreateCommand(DirectoryInfo repoInfo)
        {
            return new IncomingCommand(repoInfo);
        }

        public override IHgCommandResult GetCommandResult(System.Diagnostics.Process hgProcess)
        {
            return hgProcess.HasExited ? new IncomingCommandResult(hgProcess) : null;
        }

        public override string ToString()
        {
            var commandArgs = new StringBuilder(CommandText);
            //commandArgs.Append(" " + Repository);
            commandArgs.Append(base.ToString());

            return commandArgs.ToString();
        }
    }
}
