﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace PCG.Mercurial
{
    public class PullCommand: HgCommandBase
    {
        private const String CommandText = "pull -u --cwd";
        private string _repoUrl = string.Empty;

        private PullCommand(DirectoryInfo repoInfo):base(repoInfo)
        {
            VerboseOutput = false;
        }

        public static PullCommand CreateCommand(DirectoryInfo repoInfo)
        {
            return new PullCommand(repoInfo);
        }
        public override IHgCommandResult GetCommandResult(System.Diagnostics.Process hgProcess)
        {
            return hgProcess.HasExited ? new PullCommandResult(hgProcess) : null;
        }

        public override string ToString()
        {
            var commandArgs = new StringBuilder(CommandText);
            commandArgs.Append(base.ToString());

            return commandArgs.ToString();
        }
    }
}
